oneAPI Registration, Download, Licensing and Installation
Support for Getting Started questions related to download, Installation and licensing for Intel oneAPI Toolkits and software development tools.
1328 Discussions

Errors while installing intel-aikit on debian 12

AndrewGardner
Novice
2,221 Views

I have the intel-basekit and intel-hpckit packages installed. When I attempt to install intel-aikit, this is what I see. There appear to be two problems.

First, there appears to be a package in the manifest that isn't available on the server:

Err:1 https://apt.repos.intel.com/oneapi all/main all intel-oneapi-pytorch amd64 1.13.10.1-47264
404 Not Found [IP: 104.106.49.222 443]

Second, there appears to be a conflict between two packages included in intel-aikit:

trying to overwrite '/opt/intel/oneapi/conda_channel/linux-64/lz4-c-1.9.4-h6a678d5_0.tar.bz2', which is also in package intel-oneapi-python 2023.1.0-46399

Here's the full output:

apt install -y --fix-missing intel-aikit
Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
The following additional packages will be installed:
intel-aikit-getting-started intel-oneapi-common-licensing-2023.0.0 intel-oneapi-dal-daal4py-2023.1.0
intel-oneapi-dal-scikit-learn-intelex-2023.1.0 intel-oneapi-model-zoo intel-oneapi-modin intel-oneapi-mpi-2021.8.0
intel-oneapi-mpi-devel-2021.8.0 intel-oneapi-neural-compressor intel-oneapi-python intel-oneapi-pytorch intel-oneapi-tensorflow
The following NEW packages will be installed:
intel-aikit intel-aikit-getting-started intel-oneapi-common-licensing-2023.0.0 intel-oneapi-dal-daal4py-2023.1.0
intel-oneapi-dal-scikit-learn-intelex-2023.1.0 intel-oneapi-model-zoo intel-oneapi-modin intel-oneapi-mpi-2021.8.0
intel-oneapi-mpi-devel-2021.8.0 intel-oneapi-neural-compressor intel-oneapi-python intel-oneapi-pytorch intel-oneapi-tensorflow
0 upgraded, 13 newly installed, 0 to remove and 0 not upgraded.
Need to get 462 MB/2,065 MB of archives.
After this operation, 2,479 MB of additional disk space will be used.
Err:1 https://apt.repos.intel.com/oneapi all/main all intel-oneapi-pytorch amd64 1.13.10.1-47264
404 Not Found [IP: 104.106.49.222 443]
Selecting previously unselected package intel-aikit-getting-started.
(Reading database ... 335759 files and directories currently installed.)
Preparing to unpack .../00-intel-aikit-getting-started_2023.1.0-31760_all.deb ...
Unpacking intel-aikit-getting-started (2023.1.0-31760) ...
Selecting previously unselected package intel-oneapi-common-licensing-2023.0.0.
Preparing to unpack .../01-intel-oneapi-common-licensing-2023.0.0_2023.0.0-25325_all.deb ...
Unpacking intel-oneapi-common-licensing-2023.0.0 (2023.0.0-25325) ...
Selecting previously unselected package intel-oneapi-model-zoo.
Preparing to unpack .../02-intel-oneapi-model-zoo_2.9.0-29666_amd64.deb ...
Unpacking intel-oneapi-model-zoo (2.9.0-29666) ...
Selecting previously unselected package intel-oneapi-dal-daal4py-2023.1.0.
Preparing to unpack .../03-intel-oneapi-dal-daal4py-2023.1.0_2023.1.0-46349_amd64.deb ...
Unpacking intel-oneapi-dal-daal4py-2023.1.0 (2023.1.0-46349) ...
Selecting previously unselected package intel-oneapi-dal-scikit-learn-intelex-2023.1.0.
Preparing to unpack .../04-intel-oneapi-dal-scikit-learn-intelex-2023.1.0_2023.1.0-46349_amd64.deb ...
Unpacking intel-oneapi-dal-scikit-learn-intelex-2023.1.0 (2023.1.0-46349) ...
Selecting previously unselected package intel-oneapi-python.
Preparing to unpack .../05-intel-oneapi-python_2023.1.0-46399_amd64.deb ...
Unpacking intel-oneapi-python (2023.1.0-46399) ...
Selecting previously unselected package intel-oneapi-mpi-2021.8.0.
Preparing to unpack .../06-intel-oneapi-mpi-2021.8.0_2021.8.0-25329_amd64.deb ...
Unpacking intel-oneapi-mpi-2021.8.0 (2021.8.0-25329) ...
Selecting previously unselected package intel-oneapi-mpi-devel-2021.8.0.
Preparing to unpack .../07-intel-oneapi-mpi-devel-2021.8.0_2021.8.0-25329_amd64.deb ...
Unpacking intel-oneapi-mpi-devel-2021.8.0 (2021.8.0-25329) ...
Selecting previously unselected package intel-oneapi-tensorflow.
Preparing to unpack .../08-intel-oneapi-tensorflow_2.10.0.0-31758_amd64.deb ...
Unpacking intel-oneapi-tensorflow (2.10.0.0-31758) ...
Selecting previously unselected package intel-oneapi-neural-compressor.
Preparing to unpack .../09-intel-oneapi-neural-compressor_1.14.2.0-31757_amd64.deb ...
Unpacking intel-oneapi-neural-compressor (1.14.2.0-31757) ...
Preparing to unpack .../10-intel-oneapi-modin_0.17.0.1-31755_amd64.deb ...
Unpacking intel-oneapi-modin (0.17.0.1-31755) ...
dpkg: error processing archive /tmp/apt-dpkg-install-XTnHeT/10-intel-oneapi-modin_0.17.0.1-31755_amd64.deb (--unpack):
trying to overwrite '/opt/intel/oneapi/conda_channel/linux-64/lz4-c-1.9.4-h6a678d5_0.tar.bz2', which is also in package intel-oneapi-python 2023.1.0-46399
Selecting previously unselected package intel-aikit.
Preparing to unpack .../11-intel-aikit_2023.1.0-31760_amd64.deb ...
Unpacking intel-aikit (2023.1.0-31760) ...
Errors were encountered while processing:
/tmp/apt-dpkg-install-XTnHeT/10-intel-oneapi-modin_0.17.0.1-31755_amd64.deb
needrestart is being skipped since dpkg has failed
E: Failed to fetch https://apt.repos.intel.com/oneapi/pool/main/intel-oneapi-pytorch-1.13.10.1-47264_amd64.deb 404 Not Found [IP: 104.106.49.222 443]
E: Sub-process /usr/bin/dpkg returned an error code (1)
root@debian:/opt/intel/oneapi#
10 Replies
ArpanB_Intel
Moderator
2,183 Views

Hi Andrew, Intel® AI Analytics Toolkit is not supported on Debian 12.


To know more, visit here: https://www.intel.com/content/www/us/en/developer/articles/system-requirements/intel-oneapi-ai-analytics-toolkit-system-requirements.html


0 Kudos
AndrewGardner
Novice
2,171 Views

Understood. However, the 2022 update packages worked just fine with the apt repositories. In any case, I will just switch to using it with the non-package-manager installer.

0 Kudos
ArpanB_Intel
Moderator
2,123 Views

Andrew, the toolkits are tested on a selected list of platforms prior to their release which make up the list of supported platforms.


It may or may work on other platforms as well. However, if it does not work, Intel® will not be able to support those issues.


0 Kudos
AndrewGardner
Novice
2,048 Views

I get the exact same error in Ubuntu 20.04, which is on the supported list. 

 

sudo apt install intel-aikit
...
E: Failed to fetch https://apt.repos.intel.com/oneapi/pool/main/intel-oneapi-pytorch-1.13.10.1-47264_amd64.deb 404 Not Found [IP: 104.106.49.22 443]
0 Kudos
whatheway
New Contributor I
2,023 Views

Intel is looking into it according to what they said on my post.

 

Someone goofed and forgot to upload the link to the .deb file most likely.

0 Kudos
Quant-Geek
Beginner
2,000 Views

See https://community.intel.com/t5/oneAPI-Registration-Download/Intel-oneAPI-Debian-Repo-Broken/m-p/1473782 for a resolution. This fixed my installation problem on Ubuntu.  Short story.  Uninstall oneAPI python and reinstall:

 

sudo apt remove intel-oneapi-python

sudo apt autoremove

and reinstalling with :

sudo apt install intel-oneapi-python

 

0 Kudos
whatheway
New Contributor I
1,899 Views

 

workhorse@workhorse-MS-7D91:~$ sudo apt remove intel-aikit


[sudo] password for workhorse:
Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
Package 'intel-aikit' is not installed, so not removed
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.


workhorse@workhorse-MS-7D91:~$ sudo apt autoremove


Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.


workhorse@workhorse-MS-7D91:~$ sudo apt install intel-oneapi-python


Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
The following additional packages will be installed:
intel-oneapi-dal-daal4py-2023.1.0
intel-oneapi-dal-scikit-learn-intelex-2023.1.0
The following NEW packages will be installed:
intel-oneapi-dal-daal4py-2023.1.0
intel-oneapi-dal-scikit-learn-intelex-2023.1.0 intel-oneapi-python
0 upgraded, 3 newly installed, 0 to remove and 0 not upgraded.


Need to get 0 B/281 MB of archives.
After this operation, 283 MB of additional disk space will be used.
Do you want to continue? [Y/n] Y
Selecting previously unselected package intel-oneapi-dal-daal4py-2023.1.0.
(Reading database ... 261437 files and directories currently installed.)
Preparing to unpack .../intel-oneapi-dal-daal4py-2023.1.0_2023.1.0-46349_amd64.d
eb ...
Unpacking intel-oneapi-dal-daal4py-2023.1.0 (2023.1.0-46349) ...
Selecting previously unselected package intel-oneapi-dal-scikit-learn-intelex-20
23.1.0.
Preparing to unpack .../intel-oneapi-dal-scikit-learn-intelex-2023.1.0_2023.1.0-
46349_amd64.deb ...
Unpacking intel-oneapi-dal-scikit-learn-intelex-2023.1.0 (2023.1.0-46349) ...
Selecting previously unselected package intel-oneapi-python.
Preparing to unpack .../intel-oneapi-python_2023.1.0-46399_amd64.deb ...
Unpacking intel-oneapi-python (2023.1.0-46399) ...
Setting up intel-oneapi-dal-scikit-learn-intelex-2023.1.0 (2023.1.0-46349) ...
Setting up intel-oneapi-dal-daal4py-2023.1.0 (2023.1.0-46349) ...
Setting up intel-oneapi-python (2023.1.0-46399) ...


workhorse@workhorse-MS-7D91:~$ sudo apt install intel-aikit


Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
The following additional packages will be installed:
intel-aikit-getting-started intel-oneapi-common-licensing-2023.0.0
intel-oneapi-model-zoo intel-oneapi-modin intel-oneapi-mpi-2021.8.0
intel-oneapi-mpi-devel-2021.8.0 intel-oneapi-neural-compressor
intel-oneapi-pytorch intel-oneapi-tensorflow


The following NEW packages will be installed:
intel-aikit intel-aikit-getting-started
intel-oneapi-common-licensing-2023.0.0 intel-oneapi-model-zoo
intel-oneapi-modin intel-oneapi-mpi-2021.8.0 intel-oneapi-mpi-devel-2021.8.0
intel-oneapi-neural-compressor intel-oneapi-pytorch intel-oneapi-tensorflow
0 upgraded, 10 newly installed, 0 to remove and 0 not upgraded.


Need to get 462 MB/1,784 MB of archives.
After this operation, 2,197 MB of additional disk space will be used.
Do you want to continue? [Y/n] Y


Err:1 https://apt.repos.intel.com/oneapi all/main all intel-oneapi-pytorch amd64 1.13.10.1-47264
404 Not Found [IP: 104.69.89.197 443]


E: Failed to fetch https://apt.repos.intel.com/oneapi/pool/main/intel-oneapi-pytorch-1.13.10.1-47264_amd64.deb 404 Not Found [IP: 104.69.89.197 443]


E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?

 

Still doesn't fix the pytorch issue.

0 Kudos
whatheway
New Contributor I
1,983 Views

This doesn't seem to work if you don't have aikit installed yet

0 Kudos
ArpanB_Intel
Moderator
1,575 Views

Andrew, we have been intimated that Intel® AI Analytics Toolkit is not supported on Debian 12. The supported OS platforms are Ubuntu* LTS v20.04, v22.04, Red Hat* Enterprise Linux* 8 ( only GPU Max Series), SUSE* Linux Enterprise Server* 15 SP3 ( only GPU Max Series).


For more information, visit here: https://www.intel.com/content/www/us/en/developer/articles/system-requirements/intel-oneapi-ai-analytics-toolkit-system-requirements.html


0 Kudos
ArpanB_Intel
Moderator
1,559 Views

Andrew, unfortunately we were unable to hear back from you.


If you have any further query, please post a new question as this thread will no longer be monitored by Intel®.


0 Kudos
Reply